Bug 1397147 - Fedora 26 C/C++ Compilation Flags Updates
Summary: Fedora 26 C/C++ Compilation Flags Updates
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact:
URL:
Whiteboard: ChangeAcceptedF26, SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-21 17:43 UTC by Jan Kurik
Modified: 2018-05-29 11:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:31:02 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2016-11-21 17:43:27 UTC
This is a tracking bug for Change: Fedora 26 C/C++ Compilation Flags Updates
For more details, see: https://fedoraproject.org//wiki/Changes/Fedora26CFlags

This change updates the default C/C++ compilation flags, as determined by the redhat-rpm-config package.

Comment 1 Mohan Boddu 2017-02-01 14:15:34 UTC
Is it ready for a mass rebuild?

Comment 2 Florian Weimer 2017-02-01 14:54:25 UTC
(In reply to Mohan Boddu from comment #1)
> Is it ready for a mass rebuild?

The part that was actually implemented is ready for the mass rebuild.  The other bits couldn't be enacted during this development cycle.

Comment 3 Jan Kurik 2017-02-28 10:08:19 UTC
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.

Comment 4 Fedora End Of Life 2017-02-28 10:38:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Jan Kurik 2017-03-01 09:46:42 UTC
May I ask for status update on this Change, as requested in Comment #3 ?

Comment 6 Florian Weimer 2017-03-24 11:00:33 UTC
The first part (about -matom) has been implemented.  The second and third part has not.  Substantial work is required before the compiler defaults can be changed that way.

Comment 7 Matthew Miller 2017-03-24 13:36:57 UTC
Florian, is the plan to drop the second and third parts, or re-propose for F27 (or F28?)

Comment 8 Florian Weimer 2017-03-24 15:46:03 UTC
(In reply to Matthew Miller from comment #7)
> Florian, is the plan to drop the second and third parts, or re-propose for
> F27 (or F28?)

I don't plan to propose this again until the configure cleanup work has been done.  I don't think this will be ready for F27, and F28 is unlikely as well.

Comment 9 Jan Kurik 2017-05-19 08:13:20 UTC
This Change is going to be reviewed on a FESCo meeting: https://pagure.io/fesco/issue/1710

Comment 10 Fedora End Of Life 2018-05-03 08:19:18 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2018-05-29 11:31:02 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.